# ARM mbed OS
 
mbed OS is an open-source embedded operating system designed specifically for the "things" in the Internet of Things (IoT). It includes all the features you need to develop a connected product based on an ARM Cortex-M microcontroller.
 
mbed OS accelerates the process of creating a connected product by providing a platform operating system that includes robust security foundations, standards based communication capabilities, built-in cloud management services, and drivers for sensors, I/O devices and connectivity. mbed OS is built as a modular, configurable software stack so that you can readily customize it to the device you're developing for, and reduce memory requirements by excluding unnecessary software components.
 
## Current release

The current release, along with a selection of previous versions are detailed here:
[Release Notes](https://docs.mbed.com/docs/mbed-os-release-notes/en/latest/)

## Getting Started for Developers
 
Please note that you will require [mbed CLI](https://github.com/ARMmbed/mbed-cli) to build mbed OS. For more details, please read the getting started guide for developers using mbed OS in applications:
 
- [Getting Started](https://docs.mbed.com/docs/mbed-os-handbook/en/latest/)

## Getting Started for Contributors
 
We have a getting started guide for contributors working on mbed OS:
 
- Have a look in the docs directory
